/*
======================================================================
 jQuery-CSS-Library var 2.4
 
 Copyright (c) 2013 Vast.bz
======================================================================
*/

$(function(){

/*
===========================================
■ 単位設定
===========================================
*/

var FS = "%";//font-size
var LH = "%";//line-height

var M = "px";//margin
var P = "px";//padding
var R = "px";//radius
var W = "px";//width
var H = "px";//height

/*
===========================================
■ CSS設定処理
===========================================
*/

// 全てのclassを取得
var CSSArray = new Array;

$('*[class]').each(function(){
	css = this.className.split();
	CSSArray[CSSArray.length] = css;
});


// 該当するclassから数値のみを抽出
	CSSArray = CSSArray.join(",").replace(/\s/g, ",").replace(/m_tb|m_lr|p_tb|p_lr|r_tl|r_tr|r_bl|r_br|/g,"").replace(/w_|h_|m_auto|m_t|m_l|m_r|m_b|p_t|p_l|p_r|p_b|r_t|r_b|r_l|r_r|fs_|lh_|/g,"").replace(/m_|p_|r_|/g,"").split(",").sort();


// 重複した配列を削除
	CSSArray = $.unique(CSSArray);


// 数値以外の要素を削除
	$.each(CSSArray,function(i){
		if (isNaN(CSSArray[i])){delete CSSArray[i];}
	});

// 重複した配列を削除2回目
	CSSArray = $.unique(CSSArray);

// 該当するclassにCSS適用
$.each(CSSArray,function(i) {
	
	$(".m_" +(CSSArray[i])).css({"margin":(CSSArray[i])+M});
	$(".m_t"+(CSSArray[i])).css({"margin-top":(CSSArray[i])+M});
	$(".m_r"+(CSSArray[i])).css({"margin-right":(CSSArray[i])+M});
	$(".m_b"+(CSSArray[i])).css({"margin-bottom":(CSSArray[i])+M});
	$(".m_l"+(CSSArray[i])).css({"margin-left":(CSSArray[i])+M});
	$(".m_tb"+(CSSArray[i])).css({"margin-top":(CSSArray[i])+M,"margin-bottom":(CSSArray[i])+M});
	$(".m_lr"+(CSSArray[i])).css({"margin-left":(CSSArray[i])+M,"margin-right":(CSSArray[i])+M});
	
	$(".p_" +(CSSArray[i])).css({"padding":(CSSArray[i])+P});
	$(".p_t"+(CSSArray[i])).css({"padding-top":(CSSArray[i])+P});
	$(".p_r"+(CSSArray[i])).css({"padding-right":(CSSArray[i])+P});
	$(".p_b"+(CSSArray[i])).css({"padding-bottom":(CSSArray[i])+P});
	$(".p_l"+(CSSArray[i])).css({"padding-left":(CSSArray[i])+P});
	$(".p_tb"+(CSSArray[i])).css({"padding-top":(CSSArray[i])+P,"padding-bottom":(CSSArray[i])+P});
	$(".p_lr"+(CSSArray[i])).css({"padding-left":(CSSArray[i])+P,"padding-right":(CSSArray[i])+P});
		
	$(".r_" +(CSSArray[i])).css({"border-radius":(CSSArray[i])+R,"-webkit-border-radius":(CSSArray[i])+R,"-moz-border-radius":(CSSArray[i])+R});
	$(".r_t"+(CSSArray[i])).css({"border-top-right-radius":(CSSArray[i])+R,"-webkit-border-top-right-radius":(CSSArray[i])+R,"-moz-border-top-right-radius":(CSSArray[i])+R,"border-top-left-radius":(CSSArray[i])+R,"-webkit-border-top-left-radius":(CSSArray[i])+R,"-moz-border-top-left-radius":(CSSArray[i])+R});
	$(".r_b"+(CSSArray[i])).css({"border-bottom-right-radius":(CSSArray[i])+R,"-webkit-border-bottom-right-radius":(CSSArray[i])+R,"-moz-border-bottom-right-radius":(CSSArray[i])+"px","border-bottom-left-radius":(CSSArray[i])+R,"-webkit-border-bottom-left-radius":(CSSArray[i])+R,"-moz-border-bottom-left-radius":(CSSArray[i])+R});
	$(".r_l"+(CSSArray[i])).css({"border-top-left-radius":(CSSArray[i])+R,"-webkit-border-top-left-radius":(CSSArray[i])+R,"-moz-border-top-left-radius":(CSSArray[i])+R,"border-bottom-left-radius":(CSSArray[i])+R,"-webkit-border-bottom-left-radius":(CSSArray[i])+R,"-moz-border-bottom-left-radius":(CSSArray[i])+R});
	$(".r_r"+(CSSArray[i])).css({"border-top-right-radius":(CSSArray[i])+R,"-webkit-border-top-right-radius":(CSSArray[i])+R,"-moz-border-top-right-radius":(CSSArray[i])+R,"border-bottom-right-radius":(CSSArray[i])+R,"-webkit-border-bottom-right-radius":(CSSArray[i])+R,"-moz-border-bottom-right-radius":(CSSArray[i])+R});
	$(".r_tl"+(CSSArray[i])).css({"border-top-left-radius":(CSSArray[i])+R,"-webkit-border-top-left-radius":(CSSArray[i])+R,"-moz-border-top-left-radius":(CSSArray[i])+R});
	$(".r_tr"+(CSSArray[i])).css({"border-top-right-radius":(CSSArray[i])+R,"-webkit-border-top-right-radius":(CSSArray[i])+R,"-moz-border-top-right-radius":(CSSArray[i])+R});
	$(".r_bl"+(CSSArray[i])).css({"border-bottom-left-radius":(CSSArray[i])+R,"-webkit-border-bottom-left-radius":(CSSArray[i])+R,"-moz-border-bottom-left-radius":(CSSArray[i])+R});
	$(".r_br"+(CSSArray[i])).css({"border-bottom-right-radius":(CSSArray[i])+R,"-webkit-border-bottom-right-radius":(CSSArray[i])+R,"-moz-border-bottom-right-radius":(CSSArray[i])+R});

	$(".w_" +(CSSArray[i])).css({"width":(CSSArray[i])+W});
	$(".h_" +(CSSArray[i])).css({"height":(CSSArray[i])+H});
	
	if ($("*").hasClass("fs_"+(CSSArray[i]))){
		if (FS == "em"){
		$(".fs_" +(CSSArray[i])).css({"font-size":(CSSArray[i]/10)+FS});	
		}else{
		$(".fs_" +(CSSArray[i])).css({"font-size":(CSSArray[i])+FS});
		}
	}
	if ($("*").hasClass("lh_"+(CSSArray[i]))){
		if (LH == "em"){
		$(".lh_" +(CSSArray[i])).css({"line-height":(CSSArray[i]/10)+LH});
		}else if(LH == ""){
		$(".lh_" +(CSSArray[i])).css({"line-height":(CSSArray[i])});
		}else{
		$(".lh_" +(CSSArray[i])).css({"line-height":(CSSArray[i])+LH});
		}
	}	
	
});

/*
===========================================
■ BOX PACK
===========================================
*/

var BOX_PACK = ["-moz-box","-webkit-box","-o-box","-ms-box"];

$(".bxpk_s").css({"box-pack":"start","-moz-box-pack":"start","-webkit-box-pack":"start","-o-box-pack":"start","-ms-box-pack":"start"});
$(".bxpk_e").css({"box-pack":"end","-moz-box-pack":"end","-webkit-box-pack":"end","-o-box-pack":"end","-ms-box-pack":"end"});
$(".bxpk_c").css({"box-pack":"center","-moz-box-pack":"center","-webkit-box-pack":"center","-o-box-pack":"center","-ms-box-pack":"center"});
$(".bxpk_j").css({"box-pack":"justify","-moz-box-pack":"justify","-webkit-box-pack":"justify","-o-box-pack":"justify","-ms-box-pack":"justify"});


$.each(BOX_PACK,function(i) {
	$(".bxpk_s").css({"display":(BOX_PACK[i])});
});

$.each(BOX_PACK,function(i) {
	$(".bxpk_e").css({"display":(BOX_PACK[i])});
});

$.each(BOX_PACK,function(i) {
	$(".bxpk_c").css({"display":(BOX_PACK[i])});
});

$.each(BOX_PACK,function(i) {
	$(".bxpk_j").css({"display":(BOX_PACK[i])});
});

/*
===========================================
■ その他固定CSS設定
===========================================
*/

$(".m_auto").css({"margin-left":"auto","margin-right":"auto"});
$(".txt_l").css({"text-align":"left"});
$(".txt_r").css({"text-align":"right"});
$(".txt_c").css({"text-align":"center"});
$(".vl_t").css({"vertical-align":"top"});
$(".vl_m").css({"vertical-align":"middle"});
$(".vl_b").css({"vertical-align":"bottom"});
$(".bold").css({"font-weight":"bold"});
$(".normal").css({"font-weight":"normal"});
$(".small").css({"font-size":"small"});
$(".x-small").css({"font-size":"x-small"});
$(".xx-small").css({"font-size":"xx-small"});
$(".medium").css({"font-size":"medium"});
$(".large").css({"font-size":"large"});
$(".x-large").css({"font-size":"x-large"});
$(".xx-large").css({"font-size":"xx-large"});
$(".float_l").css({"float":"left"});
$(".float_r").css({"float":"right"});
$(".float_n").css({"float":"none"});
$(".clear_b").css({"clear":"both"});
$(".clear_l").css({"clear":"left"});
$(".clear_r").css({"clear":"right"});
$(".bg_n").css({"background":"none"});
$(".bd_n").css({"border":"none"});

/*
===========================================
■ フォントカラー設定
===========================================
*/

var COLOR = ["white","red","blue","brown","black","green","gold","yellow","pink","purple","orange","aqua","gray","navy","yellowgreen"];

$.each(COLOR,function(i) {
	$("." +(COLOR[i])).css({"color":(COLOR[i])});
});

/*
======================================================================
■ END
======================================================================
*/
});